List form element submission comments
curl --request GET \
--url https://app.azalt.co/api/v1/form-element-submission-comments/{formElementSubmissionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/form-element-submission-comments/{formElementSubmissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/form-element-submission-comments/{formElementSubmissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"formElementSubmissionId": "<string>",
"body": "<string>",
"userId": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"userImage": "<string>",
"organizationId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"deletedByUserId": "<string>",
"canModify": true
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}FormElementSubmissionComment
List form element submission comments
List comments attached to a single form element submission. Requires access to the form, site, and organization for the referenced submission.
GET
/
form-element-submission-comments
/
{formElementSubmissionId}
List form element submission comments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
⌘I

